%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		solarus
Version:	1.5.0
Release:	%mkrel 1
Summary:	An open-source Zelda-like 2D game engine
Group:		Games/Adventure
License:	GPLv3
URL:		http://www.solarus-games.org/
Source0:	http://www.solarus-games.org/downloads/solarus/%{name}-%{version}-src.tar.gz
Source1:	solarus.desktop
Patch0:		solarus-1.5.0-mga-fix-install.patch

BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	physfs-devel
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Solarus is an open-source Zelda-like 2D game engine written in C++.

If you want, you can download games "Zelda Mystery of Solarus DX"
and "Zelda Mystery of Solarus XD" on solarus site at :
http://www.solarus-games.org/games/ .

Their licenses do not allow redistribution, they are open-source but
contain copyrighted material from Nintendo, thus preventing their
redistribution as per Mageia's licensing policy.

#------------------------------------------------

%package -n	%{libname}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains library files for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake

%make_build

%install
%make_install -C build

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --mode=0644 --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc changelog.txt README.md
%license license.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-run
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}-gui.so

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so


%changelog
* Sat Jul 30 2016 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 1043900
- new version: 1.5.0 (now include a GUI based on Qt5)

* Mon Feb 08 2016 umeabot <umeabot> 1.3.1-4.mga6
+ Revision: 942507
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 745233
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 689238
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 daviddavid <daviddavid> 1.3.1-1.mga5
+ Revision: 669074
- update file list
- new version: 1.3.1

* Sun Aug 10 2014 daviddavid <daviddavid> 1.2.1-1.mga5
+ Revision: 661325
- new version: 1.2.1

* Sun May 18 2014 daviddavid <daviddavid> 1.2.0-1.mga5
+ Revision: 623614
- switch to SDL2 build support
- switch to luaJIT build support
- new version: 1.2.0

* Sat Mar 29 2014 daviddavid <daviddavid> 1.1.1-1.mga5
+ Revision: 609588
- add more description for Zelda games packages
- solarus need lua5.1 version on devel package for build
- imported package solarus

